Bug 1689552 - Review Request: gnatcoll-bindings - The GNAT Components Collection – bindings
Summary: Review Request: gnatcoll-bindings - The GNAT Components Collection – bindings
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1685226
Blocks: 1692166
TreeView+ depends on / blocked
 
Reported: 2019-03-16 16:50 UTC by Björn Persson
Modified: 2019-06-11 02:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-08 14:50:19 UTC
pzhukov: fedora-review+


Attachments (Terms of Use)

Description Björn Persson 2019-03-16 16:50:56 UTC
Spec URL: https://www.rombobjörn.se/packages/gnatcoll-bindings-2018-1/gnatcoll-bindings.spec
SRPM URL: https://www.rombobjörn.se/packages/gnatcoll-bindings-2018-1/gnatcoll-bindings-2018-1.fc30.src.rpm

This is the second of three packages to replace the current gnatcoll package – the bindings module. It provides bindings to GMP, Iconv, Readline and Syslog.

Some details may need to change depending on how we decide to package the core module. Currently this package assumes that the current gnatcoll package will become the source package for gnatcoll-core.

Fedora Account System Username: rombobeorn

Comment 1 Pavel Zhukov 2019-03-18 09:13:10 UTC
I'll review it

Comment 2 Björn Persson 2019-03-19 11:09:59 UTC
It builds: https://koji.fedoraproject.org/koji/taskinfo?taskID=33629810

Comment 3 Pavel Zhukov 2019-03-25 12:15:19 UTC
Few remarks:

BuildRequires:  gnatcoll-core-devel = 2018 <== Can be changed %{version} for better maintainability same for %autosetup -n gnatcoll-bindings-gpl-2018-src

COPYING and README  are duplicated 4 and 3 times in subpackages. Isn't it better to ship them in main package or different subpackage (like -common -license whatever) which all subpackages must depend on? 

P.S. Huge sed expression makes me scared :) but it's kind of ok for autogenerated files.

Comment 4 Björn Persson 2019-03-29 18:45:43 UTC
(In reply to Pavel Zhukov from comment #3)
> BuildRequires:  gnatcoll-core-devel = 2018 <== Can be changed %{version} for
> better maintainability same for %autosetup -n gnatcoll-bindings-gpl-2018-src

OK – and maybe I should also add a comment on why I require an exact version.

> COPYING and README  are duplicated 4 and 3 times in subpackages. Isn't it
> better to ship them in main package or different subpackage (like -common
> -license whatever) which all subpackages must depend on? 

The readme files aren't duplicated. They are different, and are all in the -devel subpackage as only developers might have a use for them.

That leaves the license. I'm rather sceptical to making a separate subpackage just for the license file. Do you really think that's worthwhile? Note that there is no duplication once the packages are installed. There is just one file, /usr/share/licenses/gnatcoll-bindings/COPYING3, with shared ownership.

> P.S. Huge sed expression makes me scared :) but it's kind of ok for
> autogenerated files.

The Sed syntax is admittedly hard to read. Very unlike Ada. :-) I have added an explanation.

I also noticed that the directory /usr/share/doc/gnatcoll was unowned if gnatcoll-bindings-devel was installed but gnatcoll-doc was not. That is now fixed.

https://www.rombobjörn.se/packages/gnatcoll-bindings-2018-2/gnatcoll-bindings.spec
https://www.rombobjörn.se/packages/gnatcoll-bindings-2018-2/gnatcoll-bindings-2018-2.fc30.src.rpm

Comment 5 Pavel Zhukov 2019-04-08 07:57:07 UTC
Looks good now.

rpmlint reports no error but few warning. no important ones:
gnatcoll-readline.x86_64: W: executable-stack /usr/lib64/libgnatcoll_readline.so.2018
gnatcoll-bindings-devel.x86_64: W: no-dependency-on gnatcoll-bindings/gnatcoll-bindings-libs/libgnatcoll-bindings
gnatcoll-gmp.x86_64: I: enchant-dictionary-not-found sv
gnatcoll-gmp.x86_64: W: no-documentation

APPROVED.

Thank you Bjorn.

Comment 6 Gwyn Ciesla 2019-04-08 13:16:48 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gnatcoll-bindings

Comment 7 Björn Persson 2019-04-08 14:50:19 UTC
Thanks for the review. I've built the package for Rawhide. I'll build for F30 when the gnatcoll-db review is done.

Comment 8 Fedora Update System 2019-05-29 16:19:53 UTC
FEDORA-2019-cfeb86a4bf has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfeb86a4bf

Comment 9 Fedora Update System 2019-05-30 13:58:10 UTC
gnatcoll-2018-2.fc30, gnatcoll-bindings-2018-3.fc30, gnatcoll-db-2018-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfeb86a4bf

Comment 10 Fedora Update System 2019-06-11 02:41:21 UTC
gnatcoll-2018-2.fc30, gnatcoll-bindings-2018-3.fc30, gnatcoll-db-2018-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.